ModelerSource (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.tomcat.util.modeler.modules

## Class ModelerSource

- java.lang.Object
- - org.apache.tomcat.util.modeler.modules.ModelerSource

- Direct Known Subclasses:
    `MbeansDescriptorsDigesterSource`, `MbeansDescriptorsIntrospectionSource`

      public abstract class ModelerSource
      extends java.lang.Object

  Source for descriptor data. More sources can be added.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static StringManager` | `sm` |
    `protected java.lang.Object` | `source` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelerSource()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.util.List<javax.management.ObjectName>` | `loadDescriptors​(Registry registry, java.lang.String type, java.lang.Object source)` | Load data, returns a list of items.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

    - #### source

          protected java.lang.Object source

  - ### Constructor Detail

    - #### ModelerSource

          public ModelerSource()

  - ### Method Detail

    - #### loadDescriptors

          public abstract java.util.List<javax.management.ObjectName> loadDescriptors​(Registry registry,
                                                                                      java.lang.String type,
                                                                                      java.lang.Object source)
                                                                               throws java.lang.Exception

      Load data, returns a list of items.
      Parameters:
        `registry` - The registry
        `type` - The bean registry type
        `source` - Introspected object or some other source
      Returns:
        a list of object names
      Throws:
        `java.lang.Exception` - Error loading descriptors